;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; CListe2004 - Color List
;
; Listet die Farbinformation (ACI, RGB oder Farbbuch) von Objekten auf
; auch dann, wenn die Farbe VonLayer lautet
;
; Aufruf: cliste
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; (c) Dipl.-Ing.  Volker Kleppel
; http://www.cadwerk.com
; vkleppel@gmx.de
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Version: 1.0                      Datum: 10.7.1999
; AutoCAD12   [x]  AutoCAD14   [x]  AutoCAD2000(i) [x]   
; AutoCAD2002 [x]  AutoCAD2004 [ ]  AutoCAD2005    [ ]
; Freeware    [x]  Shareware   [ ]
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

(defun c:cliste ( / exitflag i1 i l1en ent enX)

	;Eingebettete Funktion
	(defun clistefarbe (colorinfo)
		(cond ((= colorinfo 1) "rot (1)")
		      ((= colorinfo 2) "gelb (2)")
		      ((= colorinfo 3) "grn (3)")
		      ((= colorinfo 4) "cyan (4)")
		      ((= colorinfo 5) "blau (5)")
		      ((= colorinfo 6) "magenta (6)")
		      ((= colorinfo 7) "wei (7)")
		      ((= colorinfo 8) "dunkelgrau (8)")
		      ((= colorinfo 9) "hellgrau (9)")
		      ((> colorinfo 9) (strcat "Farbe " (itoa colorinfo)))
		      (T nil)
		)
	)

(while (/= exitflag T)
	(setq enX (entsel "\nElement whlen: "))
	(if (= enX nil)
		(setq exitflag T)
		(progn
			(setq en (car enX) ent (entget en))
			(setq i1 (cdr (assoc 8 ent)) i2 (cdr (assoc 62 ent)))
			(setq l1 (cdr (assoc 62 (tblsearch "layer" i1))))
			(if (= i2 nil)
				(progn
				(princ (strcat "\nDas Element besitzt die Farbe aus dem Layer: " (clistefarbe l1)))
				)
				(progn
				(princ (strcat "\nDas Element besitzt eine eigene Farbinformation: " (clistefarbe i2)))
				)
			)
		)
	)
	(print)
)
)

(princ "\nCListe14 - (c) Dipl.-Ing. V. Kleppel, www.cadwerk.com")
(princ "\nAufruf: cliste")
(print)
